Subject: bug#69562: 29.2.50; go-ts-mode does not handle comments with fill-paragraph

From: Dmitry Gutov <[email-masked]>
Date: Tue, 5 Mar 2024 20:59:38 +0200

On 05/03/2024 17:49, Eli Zaretskii wrote:
>> That's odd: here it becomes
>>
>>     // Sample is a sample function with a very long comment. Sample is a
>>     // new details added to the comment sample function with a very long
>>     // comment. Sample is a sample function with a very long
>>     // comment. Sample is a sample function with a very long comment.
>>     func Sample() {
> Could it be that you two use different versions of the grammar
> library?

I expect that it doesn't matter: we're not talking about a situation 
where some queries fail or some syntax errors.

go-ts-mode also doesn't set syntax-propertize-function (which is a 
mechanism of translating the grammar's syntax into something our generic 
code would look up. So it should only be affected by the settings we 
make in Lisp: the buffer syntax table and whatever other variables 
affect how filling happens.

Anyway, I've installed the latest version of the Go grammar now and 
don't see a change.